import { ElementRef, EventEmitter, OnInit } from "@angular/core";
export declare class NgxTextSuggesterComponent implements OnInit {
    suggestListRef: ElementRef<HTMLUListElement>;
    textareaRef: ElementRef<HTMLAreaElement>;
    textChange: EventEmitter<{}>;
    lang: string;
    sortList: boolean;
    suggests: {
        icon: string | null;
        name: string;
    }[];
    mainColors: {
        main: string;
        text: string;
        border: string;
        cursor: string;
    };
    menuColors: {
        backgroundMenu: string;
        icons: string;
        border: string;
        activeItem: string;
        activeItemColor: string;
    };
    caretPositon: number;
    currectquery: string;
    suggestList: {
        icon: string;
        name: string;
    }[];
    options: any;
    codeData: string;
    cursorPosition: {
        top: number;
        left: number;
    };
    suggestCodes: string[];
    moveCodes: string[];
    suggestOptionIndex: number;
    pasteEvent: boolean;
    constructor();
    onChangeInput(code: any, queryTextArea: HTMLTextAreaElement): void;
    onPaste(event: any): void;
    changeCursorPos(oField: any): void;
    updateOnMoveCursor(value: string): void;
    onClickCursor(queryTextArea: HTMLTextAreaElement): void;
    checkWord(event: KeyboardEvent, queryTextArea: HTMLTextAreaElement): void;
    getPosition(textString: any, subString: any, index: any): any;
    suggestMenuPosition(cursorIndex: number, cursorLine: number, queryTextArea: any): void;
    onKeydown(event: KeyboardEvent, queryTextArea: HTMLTextAreaElement): void;
    resetSuggest(): void;
    replaceSuggest(suggest: string, searchText: string, endIndex: number, queryTextArea: HTMLTextAreaElement): void;
    updateTextAreaCursor(pos: number, queryTextArea: HTMLTextAreaElement): void;
    compare(a: any, b: any): number;
    ngOnInit(): void;
}
